/*
 *   Noughts And Crosses Game
 *   Copyright (C) 1993,1994 Pentti Moilanen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#define BoardXExp 7
#define BoardYExp 1
#define BOARD_SIZE      62	
#define BOARD_SAFETY	1
#define TOTAL_BOARD_SIZE 64

#define MAX_GRID_SIZE	64
#define MIN_GRID_SIZE	4

#define UPDATECOUNT 20

#define TIMER_FLASHING  77
#define TIMER_USER_MOVE_ENABLE 78
#define TIMER_THINKING	79
#define IDM_NOUGHT					5
#define IDM_CROSS					6
#define IDM_FIRST_USER				7
#define IDM_FIRST_COMPUTER			8
#define IDM_FIRST_ALTERNATING		9
#define IDM_FIRST_RANDOM			10	
#define IDM_ROWS_1					11
#define IDM_ROWS_2					12
#define IDM_ROWS_3					13
#define IDM_ROWS_4					14
#define IDM_ROWS_5					15
#define IDM_ROWS_6					16
#define IDM_ROWS_7					17
#define IDM_ROWS_8					18
#define IDM_ROWS_9					19
#define IDM_EXIT					20
#define IDM_ABOUT					21
#define IDM_ZOOMIN					22
#define IDM_ZOOMOUT					23
#define IDM_CENTERIZE					24
#define IDM_NEW         				25
#define IDM_BACKGROUNDPROCESSING 			28
#define IDM_USERSPIECE					29
#define IDM_COMPUTERSPIECE				30
#define IDM_HELP					32
#define IDM_HELPHOW					33
#define IDM_HELPCOMMANDS				34
#define IDM_HELPKEYBOARD				35
#define IDM_HELPUSING					36
#define IDM_HELPCOPYRIGHT				37
#define IDM_HELPLICENSE					38
#define IDM_SKILL0 					40
#define IDM_SKILL1 					41
#define IDM_SKILL2 					42 
#define IDM_SKILL3 					43
#define IDM_SKILL4 					44
#define IDM_SKILL5 					45
#define IDM_STATISTICS 					46
#define IDM_COMPUTERSLAST 				47
#define IDM_UNDO 					48
#define IDM_HINT 					49

#define IDD_OK		    300
#define IDD_CANCEL	    301
#define IDD_WINS		    140
#define IDD_LOSSES	    141
#define IDD_PERCENT	    142


